package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.RecordLeaveFjMapper;
import com.ruoyi.system.domain.RecordLeaveFj;
import com.ruoyi.system.service.IRecordLeaveFjService;

/**
 * 请假_附件Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-06-19
 */
@Service
public class RecordLeaveFjServiceImpl implements IRecordLeaveFjService 
{
    @Autowired
    private RecordLeaveFjMapper recordLeaveFjMapper;

    /**
     * 查询请假_附件
     * 
     * @param id 请假_附件主键
     * @return 请假_附件
     */
    @Override
    public RecordLeaveFj selectRecordLeaveFjById(Long id)
    {
        return recordLeaveFjMapper.selectRecordLeaveFjById(id);
    }

    /**
     * 查询请假_附件列表
     * 
     * @param recordLeaveFj 请假_附件
     * @return 请假_附件
     */
    @Override
    public List<RecordLeaveFj> selectRecordLeaveFjList(RecordLeaveFj recordLeaveFj)
    {
        return recordLeaveFjMapper.selectRecordLeaveFjList(recordLeaveFj);
    }

    /**
     * 新增请假_附件
     * 
     * @param recordLeaveFj 请假_附件
     * @return 结果
     */
    @Override
    public int insertRecordLeaveFj(RecordLeaveFj recordLeaveFj)
    {
        return recordLeaveFjMapper.insertRecordLeaveFj(recordLeaveFj);
    }

    /**
     * 修改请假_附件
     * 
     * @param recordLeaveFj 请假_附件
     * @return 结果
     */
    @Override
    public int updateRecordLeaveFj(RecordLeaveFj recordLeaveFj)
    {
        return recordLeaveFjMapper.updateRecordLeaveFj(recordLeaveFj);
    }

    /**
     * 批量删除请假_附件
     * 
     * @param ids 需要删除的请假_附件主键
     * @return 结果
     */
    @Override
    public int deleteRecordLeaveFjByIds(Long[] ids)
    {
        return recordLeaveFjMapper.deleteRecordLeaveFjByIds(ids);
    }

    /**
     * 删除请假_附件信息
     * 
     * @param id 请假_附件主键
     * @return 结果
     */
    @Override
    public int deleteRecordLeaveFjById(Long id)
    {
        return recordLeaveFjMapper.deleteRecordLeaveFjById(id);
    }
}
